com.google.gwt.canvas.dom.client

## Enum Context2d.LineCap

- java.lang.Object
- - java.lang.Enum<Context2d.LineCap>
  - - com.google.gwt.canvas.dom.client.Context2d.LineCap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Context2d.LineCap>

Enclosing class:
  Context2d

    public static enum Context2d.LineCap
    extends java.lang.Enum<Context2d.LineCap>

Enum for line-cap style.

See Also:
  `Context2d.setLineCap(LineCap)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUTT`
`ROUND`
`SQUARE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()`
`static Context2d.LineCap` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Context2d.LineCap[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BUTT

    public static final Context2d.LineCap BUTT

#### ROUND

    public static final Context2d.LineCap ROUND

#### SQUARE

    public static final Context2d.LineCap SQUARE

### Method Detail

#### values

    public static Context2d.LineCap[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Context2d.LineCap c : Context2d.LineCap.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Context2d.LineCap valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()